# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

      <a name="0.12.0"></a>
## 0.12.0 (2018-05-11)

* add publish-jenkins.sh ([9848f9c](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/9848f9c))
* changed document table layout (separated inputs from outpuyts; imported and setup copy2clipboard mec ([4dbaddb](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/4dbaddb))
* completed sript to correctly parse version name and date into a string; customized nav bar items in  ([40dc6f1](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/40dc6f1))
* doc writing script fully functional; started on full documentation ([63680db](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/63680db))
* documents that have bootstrap and fontawesome styles now link to their respective documentation in t ([524b872](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/524b872))
* feat(core, bs-theme): implement form lists ([48b9d26](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/48b9d26))
* finished the styling of the documentation website ([1669866](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/1669866))
* fix 58f95daff76a5b474dbdb9a96b8e70f52ac71032 ([4444439](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/4444439))
* fix(bootstrap-theme, core): fix lint errors ([5ab6932](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/5ab6932))
* fix(build, schema): add rollup-plugin-commonjs ([c328af3](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/c328af3))
* Merge branch 'develop' of https://bitbucket.org/opensoftgitrepo/lightweightform into LF-524-feature/ ([7027d53](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/7027d53))
* more docs made ([d00350c](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/d00350c))
* most documentation done; missing details that I need help with ([1fd3946](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/1fd3946))
* most of the core-component related documentation is done; missing the app component docs; about to s ([9782727](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/9782727))
* pre versioning test ([60d6fe7](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/60d6fe7))
* simple sidebar building working ([238e02e](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/238e02e))
* v0.10.0 ([b82300c](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/b82300c))
* v0.10.1 ([06d1930](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/06d1930))
* version 0.11.0 ([98cc8d5](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/98cc8d5))
* fix: date improvements ([10ef836](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/10ef836))
* fix(bootstrap-theme): fix checkable alignment ([70fe52f](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/70fe52f))
* fix(build): add git scripts ([b670aaa](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/b670aaa))
* fix(build): remove tests for now, since none pass ([d6401a7](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/d6401a7))
* fix(build): update rollupjs ([4de5180](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/4de5180))
* fix(website): fix jenkins build process ([8f48876](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/8f48876))




      <a name="0.10.1"></a>

## <small>0.10.1 (2018-05-09)</small>

* add publish-jenkins.sh
([9848f9c](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/9848f9c))
* fix 58f95daff76a5b474dbdb9a96b8e70f52ac71032
([4444439](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/4444439))
* fix(bootstrap-theme, core): fix lint errors
([5ab6932](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/5ab6932))
* fix(website): fix jenkins build process
([8f48876](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/8f48876))


    <a name="0.10.0"></a>

## 0.10.0 (2018-05-04)

* changed document table layout (separated inputs from outpuyts; imported and
setup copy2clipboard mec
([4dbaddb](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/4dbaddb))
* completed sript to correctly parse version name and date into a string;
customized nav bar items in
([40dc6f1](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/40dc6f1))
* doc writing script fully functional; started on full documentation
([63680db](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/63680db))
* documents that have bootstrap and fontawesome styles now link to their
respective documentation in t
([524b872](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/524b872))
* feat(core, bs-theme): implement form lists
([48b9d26](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/48b9d26))
* finished the styling of the documentation website
([1669866](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/1669866))
* Merge branch 'develop' of
https://bitbucket.org/opensoftgitrepo/lightweightform into LF-524-feature/
([7027d53](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/7027d53))
* more docs made
([d00350c](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/d00350c))
* most documentation done; missing details that I need help with
([1fd3946](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/1fd3946))
* most of the core-component related documentation is done; missing the app
component docs; about to s
([9782727](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/9782727))
* pre versioning test
([60d6fe7](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/60d6fe7))
* simple sidebar building working
([238e02e](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/238e02e))
* fix: date improvements
([10ef836](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/10ef836))
* fix(bootstrap-theme): fix checkable alignment
([70fe52f](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/70fe52f))
* fix(build): remove tests for now, since none pass
([d6401a7](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/d6401a7))


  <a name="0.9.2"></a>

## <small>0.9.2 (2018-03-26)</small>

* fix(core, bootstrap-theme): `isInitialized` issue
([26150d3](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/26150d3))
* fix(core, bootstrap-theme): invalid row index
([8ad78ef](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/8ad78ef))
* fix(build): Update dependencies
([83a1dbd](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/83a1dbd))

<a name="0.9.1"></a>

## 0.9.1 (2018-03-23)

* fix(core): File storage improvements
([ec6e183](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/ec6e183))

<a name="0.9.0"></a>

# 0.9.0 (2018-03-22)

* fix(bootstrap-theme): number select styles
([6b45993](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/6b45993))
* fix(bootstrap-theme): theme improvements
([86077ae](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/86077ae))
* feat(bootstrap-theme): lf-number improvements
([a89551b](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/a89551b))
* feat(core): add file save/load support
([e4703eb](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/e4703eb))

<a name="0.8.3"></a>

## 0.8.3 (2018-03-12)

**Note:** Version bump only for package @lightweightform/bootstrap-theme

<a name="0.8.2"></a>

## 0.8.2 (2018-03-12)

* fix(lint, prettier)
([9a23eff](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/9a23eff))

<a name="0.8.1"></a>

## 0.8.1 (2018-03-09)

* fix(core): change how to access parent controller
([98dfe12](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/98dfe12))

<a name="0.8.0"></a>

# 0.8.0 (2018-03-08)

* feat(core): overall improvements
([2c74cde](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/2c74cde))

<a name="0.7.0"></a>

# 0.7.0 (2018-03-08)

**Note:** Version bump only for package @lightweightform/bootstrap-theme

<a name="0.6.0"></a>

# 0.6.0 (2018-03-06)

* feat(schema/core): Better computed values support
([791f565](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/791f565))

<a name="0.5.0"></a>

# 0.5.0 (2018-03-02)

* fix(core): fix value of string controller not being properly removed on the
input deletion.
([74e825e](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/74e825e))

<a name="0.4.1"></a>

## 0.4.1 (2018-03-01)

**Note:** Version bump only for package @lightweightform/bootstrap-theme

<a name="0.4.0"></a>

# 0.4.0 (2018-02-27)

**Note:** Version bump only for package @lightweightform/bootstrap-theme

<a name="0.3.6"></a>

## 0.3.6 (2018-02-27)

**Note:** Version bump only for package @lightweightform/bootstrap-theme

<a name="0.3.5"></a>

## 0.3.5 (2018-02-23)

**Note:** Version bump only for package @lightweightform/bootstrap-theme

<a name="0.3.4"></a>

## 0.3.4 (2018-02-21)

**Note:** Version bump only for package @lightweightform/bootstrap-theme

<a name="0.3.3"></a>

## 0.3.3 (2018-02-21)

**Note:** Version bump only for package @lightweightform/bootstrap-theme

<a name="0.3.2"></a>

## 0.3.2 (2018-02-21)

* fix(core/schema): compute initialValue from schema
([73d7730](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/73d7730))

<a name="0.3.1"></a>

## 0.3.1 (2018-02-19)

* fix(core): setting value in record
([af2f296](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/af2f296))
* fix lint
([e23b5a8](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/e23b5a8))

<a name="0.3.0"></a>

# 0.3.0 (2018-02-17)

* Merge branch 'develop'
([9bd32cb](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/9bd32cb))
* fix(code): prettier
([7e5494d](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/7e5494d))
* feat(core): add output events to form controller
([053afe2](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/053afe2))

<a name="0.2.3"></a>

## 0.2.3 (2018-02-16)

* fix(core): fix onChange; add toggleable init value
([607d6fd](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/607d6fd))

<a name="0.2.2"></a>

## 0.2.2 (2018-02-16)

**Note:** Version bump only for package @lightweightform/bootstrap-theme

<a name="0.2.1"></a>

## 0.2.1 (2018-02-16)

* Merge branch 'develop' of bitbucket.org:opensoftgitrepo/lightweightform into
develop
([03c6733](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/03c6733))
* Merge branch 'master' into develop
([cde4875](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/cde4875))
* fix(core): fix output names; remove ContentChild
([daa1dd6](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/daa1dd6))

<a name="0.2.0"></a>

# 0.2.0 (2018-02-15)

* Merge branch 'master' into develop
([aaa7c3c](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/aaa7c3c))
* feat(core): proper function support; computed vals
([c551a30](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/c551a30))

<a name="0.1.3"></a>

## 0.1.3 (2018-02-13)

**Note:** Version bump only for package @lightweightform/bootstrap-theme

<a name="0.1.2"></a>

## 0.1.2 (2018-02-13)

* Merge branch 'develop'
([4c4f065](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/4c4f065))
* fix(bootstrap-theme): export core services.
([2ddc5bd](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/2ddc5bd))
* fix(table): remove print on lf-table html template
([1cb2053](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/1cb2053))

<a name="0.1.1"></a>

## 0.1.1 (2018-02-13)

**Note:** Version bump only for package @lightweightform/bootstrap-theme

<a name="0.1.0"></a>

# 0.1.0 (2018-02-13)

* feat(core): add more row manipulation methods
([a5c6752](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/a5c6752))
* Add table header: in progress
([fd76f42](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/fd76f42))
* Header improvements: WIP
([079fe69](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/079fe69))
* Merge branch 'develop' into feature/lf-table
([9e5b0e5](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/9e5b0e5))
* build: fix build:watch
([36abb1e](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/36abb1e))

<a name="0.0.1"></a>

## 0.0.1 (2018-02-07)

* fix: change moment to date-fns; build improvements
([a03f404](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/a03f404))
* fix(bootstrap-theme): remove showing schema
([3c9c117](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/3c9c117))
* style: run prettier
([6c67c42](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/6c67c42))
