import { OnInit } from '@angular/core';
import { DateRangeController } from '@lightweightform/core';
import { BsDatepickerConfig } from 'ngx-bootstrap/datepicker';
import { FieldComponentCommon } from '../create-field-component';
declare const DateRangeComponent_base: typeof DateRangeController & (new (...args: any[]) => FieldComponentCommon);
export declare class DateRangeComponent extends DateRangeComponent_base implements FieldComponentCommon, OnInit {
    bsConfig: Partial<BsDatepickerConfig>;
    ngOnInit(): void;
    readonly valueAsString: string | null;
    _onDateRangePickerChange(dateTuple: [Date, Date]): void;
}
