import { RadioController, RadioNumberController } from '@lightweightform/core';
import { Constructor, FieldComponentCommon } from '../create-field-component';
export interface RadioComponentCommon {
    displayInline: boolean;
}
export declare function GenericRadioComponent<C extends Constructor<{}>>(radioControllerConstructor: C): C & Constructor<RadioComponentCommon>;
declare const RadioComponent_base: typeof RadioController & Constructor<RadioComponentCommon> & Constructor<FieldComponentCommon>;
export declare class RadioComponent extends RadioComponent_base implements FieldComponentCommon, RadioComponentCommon {
    onRadioChange(event: any): void;
}
declare const RadioNumberComponent_base: typeof RadioNumberController & Constructor<RadioComponentCommon> & Constructor<FieldComponentCommon>;
export declare class RadioNumberComponent extends RadioNumberComponent_base implements FieldComponentCommon, RadioComponentCommon {
    onRadioChange(event: any): void;
}
